[android-components](../../index.md) / [mozilla.components.feature.session](../index.md) / [SettingsUseCases](index.md) / [&lt;init&gt;](./-init-.md)

# &lt;init&gt;

`SettingsUseCases(engineSettings: `[`Settings`](../../mozilla.components.concept.engine/-settings/index.md)`, sessionManager: `[`SessionManager`](../../mozilla.components.browser.session/-session-manager/index.md)`)`

Contains use cases related to user settings.

### Parameters

`engineSettings` - the engine's [Settings](../../mozilla.components.concept.engine/-settings/index.md).

`sessionManager` - the application's [SessionManager](../../mozilla.components.browser.session/-session-manager/index.md).